OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.TransformFeedback

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVTransformFeedback :: MonadIO m => m Bool
- gl_NV_transform_feedback :: Bool
- gl_ACTIVE_VARYINGS_NV :: GLenum
- gl_ACTIVE_VARYING_MAX_LENGTH_NV :: GLenum
- gl_BACK_PRIMARY_COLOR_NV :: GLenum
- gl_BACK_SECONDARY_COLOR_NV :: GLenum
- gl_CLIP_DISTANCE_NV :: GLenum
- gl_GENERIC_ATTRIB_NV :: GLenum
- gl_INTERLEAVED_ATTRIBS_NV :: GLenum
- gl_LAYER_NV :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV :: GLenum
- gl_NEXT_BUFFER_NV :: GLenum
- gl_PRIMITIVES_GENERATED_NV :: GLenum
- gl_PRIMITIVE_ID_NV :: GLenum
- gl_RASTERIZER_DISCARD_NV :: GLenum
- gl_SEPARATE_ATTRIBS_NV :: GLenum
- gl_SKIP_COMPONENTS1_NV :: GLenum
- gl_SKIP_COMPONENTS2_NV :: GLenum
- gl_SKIP_COMPONENTS3_NV :: GLenum
- gl_SKIP_COMPONENTS4_NV :: GLenum
- gl_TEXTURE_COORD_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_ATTRIBS_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_MODE_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_START_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_RECORD_NV :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYINGS_NV :: GLenum
- gl_VERTEX_ID_NV :: GLenum
- glActiveVaryingNV :: MonadIO m => GLuint -> Ptr GLchar -> m ()
- glBeginTransformFeedbackNV :: MonadIO m => GLenum -> m ()
- glBindBufferBaseNV :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glBindBufferOffsetNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> m ()
- glBindBufferRangeNV :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glEndTransformFeedbackNV :: MonadIO m => m ()
- glGetActiveVaryingNV :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetTransformFeedbackVaryingNV :: MonadIO m => GLuint -> GLuint -> Ptr GLint -> m ()
- glGetVaryingLocationNV :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glTransformFeedbackAttribsNV :: MonadIO m => GLsizei -> Ptr GLint -> GLenum -> m ()
- glTransformFeedbackStreamAttribsNV :: MonadIO m => GLsizei -> Ptr GLint -> GLsizei -> Ptr GLint -> GLenum -> m ()
- glTransformFeedbackVaryingsNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLint -> GLenum -> m ()

# Extension Support

glGetNVTransformFeedback :: MonadIO m => m Bool

Is the NV_transform_feedback extension supported?

gl_NV_transform_feedback :: Bool

Is the NV_transform_feedback extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTransformFeedback` in those cases instead.

# Enums

gl_ACTIVE_VARYINGS_NV :: GLenum

gl_ACTIVE_VARYING_MAX_LENGTH_NV :: GLenum

gl_BACK_PRIMARY_COLOR_NV :: GLenum

gl_BACK_SECONDARY_COLOR_NV :: GLenum

gl_CLIP_DISTANCE_NV :: GLenum

gl_GENERIC_ATTRIB_NV :: GLenum

gl_INTERLEAVED_ATTRIBS_NV :: GLenum

gl_LAYER_NV :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV :: GLenum

gl_NEXT_BUFFER_NV :: GLenum

gl_PRIMITIVES_GENERATED_NV :: GLenum

gl_PRIMITIVE_ID_NV :: GLenum

gl_RASTERIZER_DISCARD_NV :: GLenum

gl_SEPARATE_ATTRIBS_NV :: GLenum

gl_SKIP_COMPONENTS1_NV :: GLenum

gl_SKIP_COMPONENTS2_NV :: GLenum

gl_SKIP_COMPONENTS3_NV :: GLenum

gl_SKIP_COMPONENTS4_NV :: GLenum

gl_TEXTURE_COORD_NV :: GLenum

gl_TRANSFORM_FEEDBACK_ATTRIBS_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_MODE_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_START_NV :: GLenum

gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV :: GLenum

gl_TRANSFORM_FEEDBACK_RECORD_NV :: GLenum

gl_TRANSFORM_FEEDBACK_VARYINGS_NV :: GLenum

gl_VERTEX_ID_NV :: GLenum

# Functions

glActiveVaryingNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m () |

glBeginTransformFeedbackNV

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> m () |

This command is an alias for `glBeginTransformFeedback`.

glBindBufferBaseNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glBindBufferBase`.

glBindBufferOffsetNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> m () |

This command is an alias for `glBindBufferOffsetEXT`.

glBindBufferRangeNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

This command is an alias for `glBindBufferRange`.

glEndTransformFeedbackNV :: MonadIO m => m ()

This command is an alias for `glEndTransformFeedback`.

glGetActiveVaryingNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLsizei | `size` pointing to `1` element of type `GLsizei`.
-> Ptr GLenum | `type` pointing to `1` element of type `GLenum`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(program,index,bufSize)` elements of type `GLchar`.
-> m () |

glGetTransformFeedbackVaryingNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> Ptr GLint | `location` pointing to `1` element of type `GLint`.
-> m () |

glGetVaryingLocationNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLint |

glTransformFeedbackAttribsNV

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLint | `attribs` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |

glTransformFeedbackStreamAttribsNV

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLint | `attribs` pointing to `count` elements of type `GLint`.
-> GLsizei | `nbuffers`.
-> Ptr GLint | `bufstreams` pointing to `nbuffers` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |

glTransformFeedbackVaryingsNV

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `count`.
-> Ptr GLint | `locations` pointing to `count` elements of type `GLint`.
-> GLenum | `bufferMode`.
-> m () |